﻿using System;
using NationalInstruments.Visa;
using Ivi.Visa;

namespace SerialPortExample_NationalInstruments
{
    class Program
    {
        static void Main(string[] args)
        {
            // 1. 创建 VISA 资源管理器实例  
            NationalInstruments.Visa.ResourceManager powerrs = new ResourceManager();
            NationalInstruments.Visa.SerialSession powerseesion = (NationalInstruments.Visa.SerialSession)powerrs.Open("ASRL6::INSTR");

            //2. 设置串口配置（如果需要）
            powerseesion.SendEndEnabled = true;
            powerseesion.TerminationCharacterEnabled = true;
            powerseesion.TerminationCharacter = 10;
            powerseesion.TimeoutMilliseconds = 2000;
            
            // 3. 发送数据  
            powerseesion.RawIO.Write("hello world!\n");

            // 4. 读取响应                  
            string response = powerseesion.RawIO.ReadString();

            // 5. 输出响应  
            Console.WriteLine("Response: " + response);
            

            Console.ReadKey();
        }
    }
}